#!/bin/sh
############### Begin Standard Header - Do not add comments here ###############
# 
# File:     workspace/install/setupImage/bin/unix/acsisrv.sh, si_ostp, si_dev
# Version:  1.7
# Modified: 4/6/06 12:16:10
# Build:    1 7
# 
# Licensed Materials - Property of IBM
# 
# Restricted Materials of IBM
# 
# ACOM-SIT
# 
# (C) COPYRIGHT IBM CORP. 2003, 2006.  All Rights Reserved.
# 
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
# 
############################# End Standard Header ##############################
#
# @version 1.2
#
# Defect   Name       Date           Description
# -------  ---------  -------------  ------------------------------------
# f003476  mbelvin    20040820       Added installMode java property
# f004157  jwoodga    20041022       Migration to Cloudscape 10
#    4744  hyin       20041216       Fix .sh cmds that fail if spaces in path
#    5037  hyin		  20050117       Copyright text is wrong in several .sh files
#    6001  jwoodga    20050222       Redirect stdout to /dev/null
# f006587  willmark   20050415       New generic SI service handler starts cloudscape and SI upgrader
# f006760  bmyers     20050506       Rename to acsisrv and now handle parameters
# d008619.1 bmyers    20051010       Remove the /dev/null redirect because it causes hang on HPUX
#########################################################################

. "$(commonLocation)/setenv.sh"

if [ -z "$1" ] || [ "$1" != "-start" ] && [ "$1" != "-stop" ] ; then

	echo "Argument [$1] is not supported."
	echo ""
	echo "Usage:"
	echo "acsisrv.sh -start"
	echo "acsisrv.sh -stop"
	echo ""
else 


 if [ "$1" = "-start" ] ; then
  "$SI_JAVA_HOME"/bin/java -Djava.ext.dirs="$SI_EXT_DIRS" -Dacu.installMode=${SI_INSTALL_MODE} -Dderby.system.home="${SI_PATH}"/repos com.ibm.ac.si.service.ACSIServiceManagerBootstrap -sipath "${SI_PATH}" -start
 else
  "$SI_JAVA_HOME"/bin/java -Djava.ext.dirs="$SI_EXT_DIRS" -Dacu.installMode=${SI_INSTALL_MODE} -Dderby.system.home="${SI_PATH}"/repos com.ibm.ac.si.service.ACSIServiceManagerBootstrap -sipath "${SI_PATH}" -stop
 fi
fi
