#!/bin/sh
############### Begin Standard Header - Do not add comments here ###############
# 
# File:     workspace/install/src/com/ibm/ac/si/install/setenv.sh, si_install, si_dev
# Version:  1.18
# Modified: 4/6/06 12:21:00
# Build:    1 18
# 
# Licensed Materials - Property of IBM
# 
# Restricted Materials of IBM
# 
# ACOM-SIT
# 
# (C) COPYRIGHT IBM CORP. 2003, 2006.  All Rights Reserved.
# 
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
# 
############################# End Standard Header ##############################
#
# @version 1.2
#
# Defect   Name       Date           Description
# -------  ---------  -------------  ------------------------------------
# f003476  mbelvin    20040820       Added installMode environment variable
# 0003676  mbelvin    20040907       Fixed grep for CLASSPATH syntax (fails on Solaris)
# 0004065  pdavis     20041013       Add TISDIR for scanner language support
# d009638  june       20051205       TISDIR no longer needed for CIT 2.x
#########################################################################

if [ -z "${SI_ORIGINAL_PATH}" ] ; then 
	SI_ORIGINAL_PATH="$PATH"
	export SI_ORIGINAL_PATH
	SI_MODIFIED_PATH="$PATH"
	export SI_MODIFIED_PATH
fi

ACU_COMMON="$(commonLocation)"
export ACU_COMMON
SI_PATH="$(installLocation)"
export SI_PATH

SI_JAVA_HOME="$(si_java_home)"
export SI_JAVA_HOME

SI_EXT_DIRS="$(si_ext_dirs)"
export SI_EXT_DIRS

SI_INSTALL_MODE="$(acu.installMode)"
export SI_INSTALL_MODE

env | grep -v SI | grep "CLASSPATH" > /dev/null 2>&1
RC=$?
if [ $RC -ne 0 ] ; then
  SI_CLASSPATH="$(class.path)"
else
  SI_CLASSPATH="$(class.path):$CLASSPATH"
fi

export SI_CLASSPATH

if [ "$SI_MODIFIED_PATH" != "$PATH" ] ; then
	SI_ORIGINAL_PATH="$PATH"
	export SI_ORIGINAL_PATH
fi
PATH="$SI_PATH/bin:$SI_PATH/lib:/usr/sbin:$SI_ORIGINAL_PATH"
export PATH
SI_MODIFIED_PATH="$PATH"
export SI_MODIFIED_PATH

SI_ENV_DIR="$ACU_COMMON/si_envs"
export SI_ENV_DIR
