--------------- Begin Standard Header - Do not add comments here ---------------
-- 
-- File:     workspace/install/setupImage/dat/schema/sql/iureg_schema.sql, si_iur, si_dev
-- Version:  1.34.2.15
-- Modified: 4/12/06 11:03:07
-- Build:    1 34
-- 
-- Licensed Materials - Property of IBM
-- 
-- Restricted Materials of IBM
-- 
-- ACOM-SIT
-- 
-- (C) COPYRIGHT IBM CORP. 2003, 2006.  All Rights Reserved.
-- 
-- US Government Users Restricted Rights - Use, duplication or
-- disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
-- 
------------------------------ End Standard Header -----------------------------
--
-- @version 1.2.1
--
-- Defect   Name       Date           Description
-- -------  ---------  -------------  ------------------------------------
-- f004157  jwoodga    20041021       Migration to Cloudscape 10
-- 0004189  bmyers     20041027       DC32 function - save Chosen Alternatives
-- f004569  bmyers     20041112       DC14 - add BUILD_ID and BULID_DATE to
--                                    ROOTS table
-- 0004605  bmyers     20041115       Store BUILD not BIULD_ID in ROOTS table
-- f004781  jwoodga    20041123       BRS changes
-- f004991  jwoodga    20041212       Integrate CM25 (ApplyMaintenance)
-- d005008  sbratton   20041214       Add status field to resource_instance table
-- f005255  bmyers     20050113       CM08 - Add Check reference table
-- d005566  bryan      20050201       Include both fields of SUPERSEDED_FIXES in PK
-- d006307  jwoodga    20050318       Perf: Add indexes to relationship table
-- f  7775  ekirchst   20050712       Begin FN-05 implementation
-- f  8027  ccruz      20050801       More FN-05 changes
-- f010510  william    20060320       Add RESOURCE_TYPE column to IU_INSTANCE table
-- f010510  bmyers     20060329       Added REQUISTE to IU_INSTANCE table and
--                                    add USED_BY table, removed CANUSE table
-- d010737  bmyers     20060403       Move RESOURCE_TYPE column to the end of the table
-- f010791  bmyers     20060410       Fix REQUISITE column name and remove RESOURCE_TYPE
--                                    from the IU_INSTANCE table
--------------------------------------------------------------------------

CREATE TABLE SI.ROOT_IUTYPE_ID (
  ROOT_IUTYPE_ID VARCHAR(64)  NOT NULL,
  UUID           VARCHAR(32)  NOT NULL,
  VERSION        VARCHAR(512) NOT NULL,
  TYPE           SMALLINT
);

CREATE TABLE SI.ROOTS_REF (
  ROOT_IUTYPE_ID  VARCHAR(64)  NOT NULL,
  CHILD_IUTYPE_ID VARCHAR(64)  NOT NULL,
  CHILD_NAME      VARCHAR(512) NOT NULL
);

CREATE TABLE SI.IUTYPE_ID (
  IUTYPE_ID      VARCHAR(64)  NOT NULL,
  ROOT_IUTYPE_ID VARCHAR(64)  NOT NULL,
  TYPE           SMALLINT     NOT NULL,
  ID             VARCHAR(512) NOT NULL,
  NAME		 VARCHAR(512)  NOT NULL,
  VERSION        VARCHAR(512)
);

CREATE TABLE SI.ROOTS (
  ROOT_IUTYPE_ID VARCHAR ( 64 ) NOT NULL,
  XML_DATA       CLOB NOT NULL,
  ROOT_INFO_TYPE VARCHAR ( 32 ),
  CREATED_TIME   TIMESTAMP,
  MODIFIED_TIME  TIMESTAMP,
  BUILD          INTEGER,
  BUILD_TIME     TIMESTAMP
);

CREATE TABLE SI.FILEDATA (
  ROOT_IUTYPE_ID VARCHAR(64)  NOT NULL,
  FILE_ID        VARCHAR(512) NOT NULL,
  FILE_CONTENTS  CLOB NOT NULL,
  CREATED_TIME   TIMESTAMP,
  MODIFIED_TIME  TIMESTAMP
);

CREATE TABLE SI.XREQ (
  INSTANCE_ID      VARCHAR(64) NOT NULL,
  XREQ_NAME        VARCHAR(512),
  XREQ_UUID        VARCHAR(32),
  XREQ_MIN_VERSION VARCHAR(512),
  XREQ_MAX_VERSION VARCHAR(512)
);


CREATE TABLE SI.CHOSEN_ALTERN (
  INSTANCE_ID  VARCHAR(64) NOT NULL,
  ALTERN_NAME  VARCHAR(512) NOT NULL
);

CREATE TABLE SI.IU_INSTANCE (
  INSTANCE_ID    VARCHAR(64)        NOT NULL,
  IUTYPE_ID      VARCHAR(64),
  ROOT_IUTYPE_ID VARCHAR(64)        NOT NULL,
  HOSTENV_MRID   VARCHAR(512)       NOT NULL,
  NAME           VARCHAR(512)       NOT NULL,
  DISCRIMINANT   VARCHAR(512)       NOT NULL,
  CMSTATE        SMALLINT           NOT NULL,
  IU_STATE       SMALLINT DEFAULT 0,
  BRS_STATE      SMALLINT DEFAULT 0,
  TRANS SMALLINT DEFAULT 0          NOT NULL,
  UNDOABLE       SMALLINT DEFAULT 0 NOT NULL,
  OPER_TYPE      SMALLINT           NOT NULL,
  SI_TPKEY       VARCHAR(512),
  CREATED_TIME   TIMESTAMP,
  MODIFIED_TIME  TIMESTAMP,
  REQUISITE      SMALLINT DEFAULT 0 NOT NULL
);

CREATE TABLE SI.IU_INSTANCE_VARIABLE (
  INSTANCE_ID    VARCHAR(64)  NOT NULL,
  VARIABLE_KEY   VARCHAR(512) NOT NULL,
  VARIABLE_VALUE LONG VARCHAR
);

CREATE TABLE SI.RESOURCE_INSTANCE (
  INSTANCE_ID  VARCHAR(64)   NOT NULL,
  NAME         VARCHAR(512),
  VERSION      VARCHAR(512),
  DISCRIMINANT VARCHAR(512),
  HOSTENV_MRID VARCHAR(512),
  SI_MRID      VARCHAR(512) NOT NULL,
  STATUS       SMALLINT
);

CREATE TABLE SI.NEEDS_UPDATE (
  UUID           VARCHAR(32)        NOT NULL,
  DISCRIMINANT VARCHAR(512)         NOT NULL,
  FEATURE_ID     VARCHAR(64)        NOT NULL,
  ROOT_INSTANCE_ID VARCHAR(64)      NOT NULL
);

CREATE TABLE SI.RELATIONSHIP (
  RELATIONSHIP_TYPE  VARCHAR(32)   NOT NULL,
  SOURCE_MEMBER_ID   VARCHAR(2046) NOT NULL,
  SOURCE_MEMBER_TYPE VARCHAR(254)  NOT NULL,
  SINK_MEMBER_ID     VARCHAR(2046) NOT NULL,
  SINK_MEMBER_TYPE   VARCHAR(254)  NOT NULL,
  RELATIONSHIP_STATE SMALLINT DEFAULT 0
);

CREATE TABLE SI.CHECK_REFERENCE (
  SOURCE_MEMBER_ID   VARCHAR(2046) NOT NULL,
  SINK_MEMBER_ID     VARCHAR(2046) NOT NULL,
  ALTERNATIVE_NAME   VARCHAR(254)  NOT NULL,
  ALTERNATIVE_INDEX  SMALLINT DEFAULT 0,
  ALTERNATIVE_TYPE   SMALLINT
);

CREATE TABLE SI.SUPERSEDED_FIXES (
  INSTANCE_ID VARCHAR(64)  NOT NULL,
  FIX_NAME    VARCHAR(512) NOT NULL
);

CREATE TABLE SI.FAMILY (
  FAMILY_ID VARCHAR(64) NOT NULL,
  INSTANCE_ID VARCHAR(64) NOT NULL
);

CREATE TABLE SI.IU_INSTANCE_SUBSTATE (
  INSTANCE_ID    VARCHAR(64)  NOT NULL,
  SUB_STATE      SMALLINT NOT NULL,
  DATA           VARCHAR(512) NOT NULL
);

CREATE TABLE SI.IU_CHANGE_DATA (
  CHANGE_ID         VARCHAR(64)  NOT NULL,
  REQUEST_ID        VARCHAR(256),
  TRANS_ID          VARCHAR(256),
  MRID              VARCHAR(512),
  IUTYPE_ID         VARCHAR(64),
  INSTANCE_ID       VARCHAR(64) NOT NULL,
  ROOT_IU_INSTANCE  VARCHAR(64) NOT NULL
);

CREATE TABLE SI.USED_BY (
  SOURCE_MEMBER_ID        VARCHAR(2046) NOT NULL,
  SINK_MEMBER_ID          VARCHAR(2046) NOT NULL,
  SOURCE_ROOT_INSTANCE_ID VARCHAR(64)   NOT NULL,
  SINK_ROOT_INSTANCE_ID   VARCHAR(64)   NOT NULL
);

ALTER TABLE SI.USED_BY
  ADD CONSTRAINT SI.PK_USED_BY PRIMARY KEY (SOURCE_MEMBER_ID, SINK_MEMBER_ID)
;

ALTER TABLE SI.RESOURCE_INSTANCE
  ADD CONSTRAINT SI.PK_RES_INSTANCE_ID PRIMARY KEY (INSTANCE_ID)
;

ALTER TABLE SI.ROOT_IUTYPE_ID
  ADD CONSTRAINT SI.PK_ROOT_IUTYPE_ID PRIMARY KEY (ROOT_IUTYPE_ID)
;

ALTER TABLE SI.RESOURCE_INSTANCE
  ADD CONSTRAINT SI.UQ_RES_INST_SIMRD UNIQUE (SI_MRID)
;

ALTER TABLE SI.ROOT_IUTYPE_ID
  ADD CONSTRAINT SI.UQ_ROOTIUTYPEID UNIQUE (UUID, VERSION)
;

ALTER TABLE SI.ROOTS_REF
  ADD CONSTRAINT SI.ROO_Constraint2 PRIMARY KEY (CHILD_IUTYPE_ID,
                                              ROOT_IUTYPE_ID)
;

ALTER TABLE SI.IUTYPE_ID
  ADD CONSTRAINT SI.PK_IUTYPE_ID PRIMARY KEY (IUTYPE_ID)
;

-- This SQL fails when creating the Databases - leaving in for James
-- ALTER TABLE SI.IUTYPE_ID
--  ADD CONSTRAINT SI.UQ_TYPID UNIQUE (ROOT_IUTYPE_ID, TYPE,
--                                     ID,VERSION)
-- ;

ALTER TABLE SI.ROOTS
  ADD CONSTRAINT SI.PK_ROOTS PRIMARY KEY (ROOT_IUTYPE_ID)
;


ALTER TABLE SI.FILEDATA
  ADD CONSTRAINT SI.PKFDATA PRIMARY KEY (ROOT_IUTYPE_ID, FILE_ID)
;


ALTER TABLE SI.XREQ
  ADD CONSTRAINT SI.PK_XREQ PRIMARY KEY (INSTANCE_ID)
;

ALTER TABLE SI.CHOSEN_ALTERN
  ADD CONSTRAINT SI.PK_CHOSEN_ALT PRIMARY KEY (INSTANCE_ID, ALTERN_NAME)
;

ALTER TABLE SI.IU_INSTANCE
  ADD CONSTRAINT SI.PK_IUINST PRIMARY KEY (INSTANCE_ID)
;

-- This SQL fails when creating the Databases - leaving in for James
--  ALTER TABLE SI.IU_INSTANCE
--    ADD CONSTRAINT SI.UQ_IUINSTANCE UNIQUE (IUTYPE_ID, ROOT_IUTYPE_ID,
--                                          HOSTENV_MRID,DISCRIMINANT)
-- ;

ALTER TABLE SI.IU_INSTANCE_VARIABLE
  ADD CONSTRAINT SI.PK_IUINST_VAR PRIMARY KEY (INSTANCE_ID, VARIABLE_KEY)
;

ALTER TABLE SI.IU_INSTANCE_VARIABLE
  ADD CONSTRAINT SI.FK_IUINST_VAR FOREIGN KEY (INSTANCE_ID)
  REFERENCES SI.IU_INSTANCE (INSTANCE_ID)
    ON DELETE CASCADE
    ON UPDATE NO ACTION
;

ALTER TABLE SI.ROOTS_REF
  ADD CONSTRAINT SI.ROO_Constraint1 FOREIGN KEY (ROOT_IUTYPE_ID)
  REFERENCES SI.ROOT_IUTYPE_ID (ROOT_IUTYPE_ID)
    ON DELETE CASCADE
    ON UPDATE NO ACTION
;

ALTER TABLE SI.ROOTS_REF
  ADD CONSTRAINT SI.ROO_Constraint3 FOREIGN KEY (CHILD_IUTYPE_ID)
  REFERENCES SI.ROOT_IUTYPE_ID (ROOT_IUTYPE_ID)
    ON DELETE CASCADE
    ON UPDATE NO ACTION
;

ALTER TABLE SI.IUTYPE_ID
  ADD CONSTRAINT SI.FK_IU_ROOTIUTYPEID FOREIGN KEY (ROOT_IUTYPE_ID)
  REFERENCES SI.ROOT_IUTYPE_ID (ROOT_IUTYPE_ID)
    ON DELETE CASCADE
    ON UPDATE NO ACTION
;

ALTER TABLE SI.ROOTS
  ADD CONSTRAINT SI.FK_ROOTS_IUTYPEID FOREIGN KEY (ROOT_IUTYPE_ID)
  REFERENCES SI.ROOT_IUTYPE_ID (ROOT_IUTYPE_ID)
    ON DELETE CASCADE
    ON UPDATE NO ACTION
;

ALTER TABLE SI.FILEDATA
  ADD CONSTRAINT SI.FK_FDATA_IUTYPEID FOREIGN KEY (ROOT_IUTYPE_ID)
  REFERENCES SI.ROOT_IUTYPE_ID (ROOT_IUTYPE_ID)
    ON DELETE CASCADE
    ON UPDATE NO ACTION
;

ALTER TABLE SI.XREQ
  ADD CONSTRAINT SI.FK_XREQ_INSTANCEID FOREIGN KEY (INSTANCE_ID)
  REFERENCES SI.IU_INSTANCE (INSTANCE_ID)
    ON DELETE CASCADE
    ON UPDATE NO ACTION
;

ALTER TABLE SI.CHOSEN_ALTERN
  ADD CONSTRAINT SI.FK_CA_INSTID FOREIGN KEY (INSTANCE_ID)
  REFERENCES SI.IU_INSTANCE (INSTANCE_ID)
    ON DELETE CASCADE
    ON UPDATE NO ACTION
;


ALTER TABLE SI.IU_INSTANCE
  ADD CONSTRAINT SI.FK_IUID FOREIGN KEY (IUTYPE_ID)
  REFERENCES SI.IUTYPE_ID (IUTYPE_ID)
    ON DELETE CASCADE
    ON UPDATE NO ACTION
;

ALTER TABLE SI.IU_INSTANCE
  ADD CONSTRAINT SI.FK_ROOT_IUID FOREIGN KEY (ROOT_IUTYPE_ID)
  REFERENCES SI.ROOT_IUTYPE_ID (ROOT_IUTYPE_ID)
  ON DELETE CASCADE
  ON UPDATE NO ACTION
;

ALTER TABLE SI.RELATIONSHIP
ADD CONSTRAINT SI.PK_RELATIONSHIP PRIMARY KEY (RELATIONSHIP_TYPE,
                                            SOURCE_MEMBER_ID,
                                            SOURCE_MEMBER_TYPE,
                                            SINK_MEMBER_ID,
                                            SINK_MEMBER_TYPE)
;

CREATE INDEX SI.IS_REL_SOURCE_IDX ON SI.RELATIONSHIP (SOURCE_MEMBER_ID);
CREATE INDEX SI.IS_REL_SINK_IDX ON SI.RELATIONSHIP (SINK_MEMBER_ID);

ALTER TABLE SI.CHECK_REFERENCE
ADD CONSTRAINT SI.PK_CHECK_REFERENCE PRIMARY KEY (SOURCE_MEMBER_ID,
                                            SINK_MEMBER_ID)
;

ALTER TABLE SI.SUPERSEDED_FIXES
  ADD CONSTRAINT SI.PK_SUPERSEDED PRIMARY KEY (INSTANCE_ID, FIX_NAME)
;

ALTER TABLE SI.SUPERSEDED_FIXES
  ADD CONSTRAINT SI.FK_SUPERSED_INSTID FOREIGN KEY (INSTANCE_ID)
  REFERENCES SI.IU_INSTANCE (INSTANCE_ID)
    ON DELETE CASCADE
    ON UPDATE NO ACTION
;

ALTER TABLE SI.NEEDS_UPDATE
  ADD CONSTRAINT SI.FK_NEEDS_UPDATE FOREIGN KEY (ROOT_INSTANCE_ID)
  REFERENCES SI.IU_INSTANCE (INSTANCE_ID)
    ON DELETE CASCADE
    ON UPDATE NO ACTION
;

ALTER TABLE SI.IU_INSTANCE_SUBSTATE
ADD CONSTRAINT SI.PK_IUINST_SUBST PRIMARY KEY (INSTANCE_ID, SUB_STATE)
;

ALTER TABLE SI.IU_INSTANCE_SUBSTATE
  ADD CONSTRAINT SI.FK_IUINST_SUBST FOREIGN KEY (INSTANCE_ID)
  REFERENCES SI.IU_INSTANCE (INSTANCE_ID)
    ON DELETE CASCADE
    ON UPDATE NO ACTION
;

ALTER TABLE SI.IU_CHANGE_DATA
   ADD CONSTRAINT PK_CHANGE_DATA PRIMARY KEY (INSTANCE_ID)
 ;

ALTER TABLE SI.IU_CHANGE_DATA
  ADD CONSTRAINT SI.FK_CHANGE_DATA FOREIGN KEY (INSTANCE_ID)
  REFERENCES SI.IU_INSTANCE (INSTANCE_ID)
    ON DELETE CASCADE
    ON UPDATE NO ACTION
;

