--------------- Begin Standard Header - Do not add comments here ---------------
-- 
-- File:     workspace/install/setupImage/dat/schema/sql/resource_sharing_schema.sql, si_actions, si_dev
-- Version:  1.6.1.6
-- Modified: 5/30/08 02:09:09
-- Build:    1 6
-- 
-- Licensed Materials - Property of IBM
-- 
-- Restricted Materials of IBM
-- 
-- ACOM-SIT
-- 
-- (C) COPYRIGHT IBM CORP. 2003, 2006.  All Rights Reserved.
-- 
-- US Government Users Restricted Rights - Use, duplication or
-- disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
-- 
------------------------------ End Standard Header -----------------------------
--
-- @version 1.2
--
-- Defect   Name       Date           Description
-- -------  ---------  -------------  ------------------------------------
-- f004157  jwoodga    20041021       Migration to Cloudscape 10
-- d004106  willmark   20050209       Replace ref counts with table join refs to scopes
-- f006730  willmark   20050503       Performance improvement integration of 6513
-- d007027  willmark   20050601       SCOPE added to primary key of SHARING_SCOPE because we might add additional scopes
-- d007200  willmark   20050604       Remove foreign key constraint and replace with an index
-- d 18440  edgewood   20080414 Stop using IDs: hashcodes can collide
--------------------------------------------------------------------------

CREATE TABLE SI.SHARING (
       NAME           VARCHAR(1024) NOT NULL,
       EXISTING       SMALLINT NOT NULL,
       CONSTRAINT SHARING_PK PRIMARY KEY (NAME)
);

CREATE TABLE SI.SHARING_SCOPE (
       NAME           VARCHAR(1024) NOT NULL,
       SCOPE          VARCHAR(1024) NOT NULL,
       CONSTRAINT SHARING_SCOPE_PK PRIMARY KEY (NAME, SCOPE)
);

CREATE INDEX SS_NAME_IDX ON SI.SHARING (NAME);

CREATE INDEX SS_SCOPE_NAME_IDX ON SI.SHARING_SCOPE (NAME);

CREATE INDEX SS_SCOPE_IDX ON SI.SHARING_SCOPE (SCOPE);



