#!/usr/bin/qsh
############### Begin Standard Header - Do not add comments here ###############
# 
# File:     workspace/install/setupImage/dat/wstp/bin/as400/registerwstp.sh, si_wstp, si_dev
# Version:  1.9.1.4
# Modified: 4/6/06 12:18:28
# Build:    1 9
# 
# Licensed Materials - Property of IBM
# 
# Restricted Materials of IBM
# 
# ACOM-SIT
# 
# (C) COPYRIGHT IBM CORP. 2003, 2006.  All Rights Reserved.
# 
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
# 
############################# End Standard Header ##############################
# DESCRIPTION:
# Script file used to run the WebSphere
# Application Server administrative scripting tool.
#########################################################################

if [ ! "$SI_PATH" ] ; then 
   echo Environment variable SI_PATH is not defined.  You need to run %%ACU_COMMON%%\setenv.sh first where %%ACU_COMMON%% is the Solution Install common directory, for example C:\Program Files\IBM\common\acu.
   exit
fi
												 
. $(/usr/bin/dirname $0)/setupCmdLine


WAS_CLASSPATH=${WAS_CLASSPATH}:${WAS_INSTALL_ROOT}/lib/jython.jar:${SI_PATH}/lib/db2j.jar:${SI_PATH}/lib/derbyclient:${SI_PATH}/lib/db2jnet.jar:${SI_PATH}/lib/db2jtools.jar:${SI_PATH}/lib/si.jar:${SI_PATH}/lib/jlog.jar:${SI_PATH}/lib/j2ee.jar:${SI_PATH}/lib/xalan.jar:${SI_PATH}/lib/serializer.jar

# //set_conglomerates

java ${JAVA_PARM} \
  -Dlocal.cell=${WAS_CELL} \
  -Dlocal.node=${WAS_NODE} \
  -Dcom.ibm.etools.EJBDeploy.debug=true \
  -Dcom.ibm.itp.location=${ITP_LOC} \
  -Dwas.install.root=${WAS_INSTALL_ROOT} \
  -Duser.install.root=${USER_INSTALL_ROOT} \
  -Dwas.repository.root=${CONFIG_ROOT} \
  -Dserver.root=${WAS_INSTALL_ROOT} \
  -Dcom.ibm.ws.scripting.wsadminprops=${WSADMIN_PROPERTIES} \
  -Dcom.ibm.ws.management.standalone=true \
  -Dcom.ibm.CORBA.BootstrapHost=${COMPUTERNAME} \
  -Dws.ext.dirs=${WAS_EXT_DIRS} \
  -classpath ${WAS_CLASSPATH} \
  com.ibm.ws.bootstrap.WSLauncher \
  com.ibm.ws.management.touchpoint.tpru.RegisterTouchpoints "$@"


#
# Set SI_WAS_HOME variable in the SI environment script
#
if [ "$WAS_INSTALL_ROOT" ] ; then 
   if [ -d "$ACU_COMMON/si_envs" ]; then
      echo "#!/bin/sh" > "$ACU_COMMON/si_envs/set_was_home.sh"
      echo "SI_WAS_HOME=$WAS_INSTALL_ROOT" >> "$ACU_COMMON/si_envs/set_was_home.sh"
      echo "export SI_WAS_HOME" >> "$ACU_COMMON/si_envs/set_was_home.sh"
   fi
fi
