#!/bin/qsh
############### Begin Standard Header - Do not add comments here ###############
# 
# File:     workspace/install/setupImage/dat/wstp/bin/as400/wstp_setcp.sh, si_wstp, si_dev
# Version:  1.15
# Modified: 6/15/06 09:14:39
# Build:    1 15
# 
# Licensed Materials - Property of IBM
# 
# Restricted Materials of IBM
# 
# ACOM-SIT
# 
# (C) COPYRIGHT IBM CORP. 2003, 2006.  All Rights Reserved.
# 
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
# 
############################# End Standard Header ##############################
#
# @version 1.2
#
# Defect   Name       Date           Description
# -------  ---------  -------------  ------------------------------------
#
#########################################################################
#
# wstp_setcp - Set up the classpath for the Solution Install WebSphere touchpoints
#
#########################################################################

if [ ! -z "${ACU_COMMON}" ]; then
    mkdir "${ACU_COMMON}/../acu"
    echo si.hostscallout.proxy=com.ibm.ac.si.cm.hosts.webservices.HostsCalloutWSProxyWrapper> "${ACU_COMMON}/../acu/ACUApplication.properties"
    echo acu.persistSVCRepos=.>> "${ACU_COMMON}/../acu/ACUApplication.properties"
else
    echo Environment variable ACU_COMMON is not defined.  You need to run %%ACU_COMMON%%\setenv.sh first where %%ACU_COMMON%% is the Solution Install common directory, for example /usr/ibm/common/acu/. 
    exit 1
fi

if [ ! -z "${WAS_HOME}" ]; then
   CP="cp"
   if [ ! -z "${SI_PATH}" ]; then
	 if [ ! -f ${WAS_HOME}/bin/WebSphereTPHostDeploy.jacl ]; then
	    ${CP} ${SI_PATH}/dat/wstp/bin/common/WebSphereTPHostDeploy.jacl ${WAS_HOME}/bin/
	 fi
	 if [ ! -f ${WAS_HOME}/classes/wstp.jar ]; then 
	    ${CP} ${SI_PATH}/dat/wstp/lib/wstp.jar ${WAS_HOME}/classes/
	 fi
	 if [ ! -f ${WAS_HOME}/bin/registerwstp.sh ]; then
	    ${CP} ${SI_PATH}/dat/wstp/bin/registerwstp.sh ${WAS_HOME}/bin/
	 fi
	 if [ ! -f ${WAS_HOME}/installableApps/WebSphereTP.ear ]; then
	    ${CP} ${SI_PATH}/dat/wstp/lib/WebSphereTP.ear ${WAS_HOME}/installableApps/
	 fi
	 if [ ! -f ${WAS_HOME}/classes/si.jar ]; then
	    ${CP} ${SI_PATH}/dat/wstp/lib/si.jar ${WAS_HOME}/classes/
	 fi
	 if [ ! -f ${WAS_HOME}/classes/jlog.jar ]; then
	    ${CP} ${SI_PATH}/dat/wstp/lib/jlog.jar ${WAS_HOME}/classes/
	 fi
	 if [ ! -f ${WAS_HOME}/classes/cmserver.jar ]; then
		 ${CP} ${SI_PATH}/dat/wstp/lib/cmserver.jar ${WAS_HOME}/classes/
	 fi
	 if [ ! -f ${WAS_HOME}/classes/cmproxy.jar ]; then
		 ${CP} ${SI_PATH}/dat/wstp/lib/cmproxy.jar ${WAS_HOME}/classes/
	 fi
	 if [ ! -f ${WAS_HOME}/classes/iuddmodel.jar ]; then
	    ${CP} ${SI_PATH}/dat/wstp/lib/iuddmodel.jar ${WAS_HOME}/classes/
	 fi
	 if [ ! -f ${WAS_HOME}/classes/iuddUtils.jar ]; then
	    ${CP} ${SI_PATH}/dat/wstp/lib/iuddUtils.jar ${WAS_HOME}/classes/
	 fi
	 if [ ! -f ${WAS_HOME}/classes/mediamodel.jar ]; then
	    ${CP} ${SI_PATH}/dat/wstp/lib/mediamodel.jar ${WAS_HOME}/classes/
	 fi
	 if [ ! -f ${WAS_HOME}/classes/mediaUtils.jar ]; then
	    ${CP} ${SI_PATH}/dat/wstp/lib/mediaUtils.jar ${WAS_HOME}/classes/
	 fi
   else
	 echo Environment variable SI_PATH is not defined.  You need to run %%ACU_COMMON%%\setenv.sh first where %%ACU_COMMON%% is the Solution Install common directory, for example /usr/ibm/common/acu/. 
   fi
else
   echo Environment variable WAS_HOME is not defined.  Please set the WAS_HOME environment variable 
fi