#!/bin/sh
############### Begin Standard Header - Do not add comments here ###############
# 
# File:     workspace/install/setupImage/dat/wstp/bin/unix/registerwstp.sh, si_wstp, si_dev
# Version:  1.27
# Modified: 4/6/06 12:18:35
# Build:    1 27
# 
# Licensed Materials - Property of IBM
# 
# Restricted Materials of IBM
# 
# ACOM-SIT
# 
# (C) COPYRIGHT IBM CORP. 2003, 2006.  All Rights Reserved.
# 
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
# 
############################# End Standard Header ##############################
#
# @version 1.2
#
# Defect   Name       Date           Description
# -------  ---------  -------------  ------------------------------------
#
#########################################################################
# wsadmin launcher

binDir=`dirname "$0"`
. "$binDir/setupCmdLine.sh"

if [ ! "$SI_PATH" ] ; then 
   echo Environment variable SI_PATH is not defined.  You need to run %%ACU_COMMON%%\setenv.sh first where %%ACU_COMMON%% is the Solution Install common directory, for example C:\Program Files\IBM\common\acu.
   exit
fi


SHELL=com.ibm.ws.management.touchpoint.tpru.RegisterTouchpoints

if [ ! "$USER_INSTALL_ROOT" ] ; then
   USER_INSTALL_ROOT=$WAS_HOME
fi

# For debugging the utility itself
# DEBUG="-Djava.compiler=NONE -Xdebug -Xnoagent -Xrunjdwp:transport=dt_socket,server=y,suspend=y,address=7777"

isJavaOption=false
nonJavaOptionCount=1
for option in "$@" ; do
  if [ "$option" = "-javaoption" ] ; then
     isJavaOption=true
  else
     if [ "$isJavaOption" = "true" ] ; then
        javaOption="$javaOption $option"
        isJavaOption=false
     else
        nonJavaOption[$nonJavaOptionCount]="$option"
        nonJavaOptionCount=$((nonJavaOptionCount+1))
     fi
  fi
done

DELIM=" "

#Platform specific args...
PLATFORM=`/bin/uname`
case $PLATFORM in
  AIX | Linux | SunOS | HP-UX)
    C_PATH="$WAS_CLASSPATH:$WAS_HOME/optionalLibraries/jython.jar:$SI_PATH/lib/db2j.jar:$SI_PATH/lib/derbyclient.jar:$SI_PATH/lib/db2jnet.jar:$SI_PATH/lib/db2jtools.jar"
    CONSOLE_ENCODING=-Dws.output.encoding=console ;;
  OS/390)
    C_PATH="$WAS_CLASSPATH:$SI_PATH/lib/db2j.jar:$SI_PATH/lib/derbyclient.jar:$SI_PATH/lib/db2jnet.jar:$SI_PATH/lib/db2jtools.jar"
    EXTRA_D_ARGS="-Dfile.encoding=ISO8859-1 $DELIM -Djava.ext.dirs="$JAVA_EXT_DIRS""
    EXTRA_X_ARGS="-Xnoargsconversion" ;;
esac

"$JAVA_HOME/bin/java" \
  -Xbootclasspath/p:"$WAS_BOOTCLASSPATH" \
  $EXTRA_X_ARGS \
  $CONSOLE_ENCODING \
  $javaOption \
  $DEBUG \
  "$CLIENTSAS" \
  "$CLIENTSOAP" \
  -Dcom.ibm.ws.scripting.wsadminprops="$WSADMIN_PROPERTIES" \
  -Dwas.install.root="$WAS_HOME" \
  -Duser.install.root="$USER_INSTALL_ROOT" \
  -Dwas.repository.root="$CONFIG_ROOT" \
  -Dserver.root="$WAS_HOME" \
  -Dlocal.cell="$WAS_CELL" \
  -Dlocal.node="$WAS_NODE" \
  -Dcom.ibm.ws.management.standalone=true \
  -Dcom.ibm.itp.location="$WAS_HOME/bin" \
  -Dws.ext.dirs="$WAS_EXT_DIRS" \
  $EXTRA_D_ARGS \
  $JVM_EXTRA_CMD_ARGS \
  -classpath "$C_PATH" com.ibm.ws.bootstrap.WSLauncher \
  $SHELL "${nonJavaOption[@]}"

rc=$?
if [ $rc -eq 0 ]; then
#
# Set SI_WAS_HOME variable in the SI environment script
#
   if [ "$WAS_HOME" ] ; then 
      if [ -d "$ACU_COMMON/si_envs" ]; then
         echo "#!/bin/sh" > "$ACU_COMMON/si_envs/set_was_home.sh"
         echo "SI_WAS_HOME=$WAS_HOME" >> "$ACU_COMMON/si_envs/set_was_home.sh"
         echo "export SI_WAS_HOME" >> "$ACU_COMMON/si_envs/set_was_home.sh"
         echo "#!/bin/csh" > "$ACU_COMMON/si_envs/set_was_home.csh"
         echo "setenv SI_WAS_HOME $WAS_HOME" >> "$ACU_COMMON/si_envs/set_was_home.csh"
      fi
   fi
fi

exit $rc
