@echo off
@REM *************** Begin Standard Header - Do not add comments here ***************
@REM 
@REM File:     workspace/install/setupImage/dat/wstp/bin/w32-ix86/registerwstp.cmd, si_wstp, si_dev
@REM Version:  1.24
@REM Modified: 4/6/06 12:18:38
@REM Build:    1 24
@REM 
@REM Licensed Materials - Property of IBM
@REM 
@REM Restricted Materials of IBM
@REM 
@REM ACOM-SIT
@REM 
@REM (C) COPYRIGHT IBM CORP. 2003, 2006.  All Rights Reserved.
@REM 
@REM US Government Users Restricted Rights - Use, duplication or
@REM disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
@REM 
@REM **************************** End Standard Header *******************************

@REM #************************************************************************
@REM #     wsadmin launcher
@REM #     Usage: wsadmin arguments
@REM #************************************************************************
setlocal

if defined SI_PATH goto sipathdefined
echo Environment variable SI_PATH is not defined.  You need to run %%ACU_COMMON%%\setenv.cmd first where %%ACU_COMMON%% is the Solution Install common directory, for example C:\Program Files\IBM\common\acu.
goto :EOF
:sipathdefined

call "%~dp0setupCmdLine.bat"

@REM initialize a java_options.txt file
set JAVA_OPTIONS_FILE=%TEMP%\java_options.txt
echo.> "%JAVA_OPTIONS_FILE%"

@REM CONSOLE_ENCODING controls the output encoding used for stdout/stderr
@REM    console - encoding is correct for a console window
@REM    file    - encoding is the default file encoding for the system
@REM    <other> - the specified encoding is used.  e.g. Cp1252, Cp850, SJIS
@REM SET CONSOLE_ENCODING=-Dws.output.encoding=console

@REM For debugging the utility itself
@REM set DEBUG=-Djava.compiler=NONE -Xdebug -Xnoagent -Xrunjdwp:transport=dt_socket,server=y,suspend=y,address=7777

if NOT %USER_INSTALL_ROOT%.==. goto loop
SET USER_INSTALL_ROOT=%WAS_HOME%

:loop
if '%1'=='-javaoption' goto javaoption
if '%1'=='' goto runcmd
goto nonjavaoption

:javaoption
shift 
set javaoption=%javaoption% %1
echo %1>> "%JAVA_OPTIONS_FILE%"
goto again

:nonjavaoption
set nonjavaoption=%nonjavaoption% %1

:again
shift
goto loop

:runcmd
echo %CONSOLE_ENCODING%>> "%JAVA_OPTIONS_FILE%"
echo %DEBUG%>> "%JAVA_OPTIONS_FILE%"
echo %CLIENTSOAP%>> "%JAVA_OPTIONS_FILE%"
echo %CLIENTSAS%>> "%JAVA_OPTIONS_FILE%"
echo -Dcom.ibm.ws.scripting.wsadminprops=%WSADMIN_PROPERTIES%>> "%JAVA_OPTIONS_FILE%"
echo -Dcom.ibm.ws.management.standalone=true
echo -Duser.install.root=%USER_INSTALL_ROOT%>> "%JAVA_OPTIONS_FILE%"
echo -Dwas.install.root=%WAS_HOME%>> "%JAVA_OPTIONS_FILE%"
echo -Dwas.repository.root=%CONFIG_ROOT%
echo -Dserver.root=%WAS_HOME%>> "%JAVA_OPTIONS_FILE%"
echo -Dlocal.cell=%WAS_CELL%
echo -Dlocal.node=%WAS_NODE%
echo -Dcom.ibm.itp.location=%WAS_HOME\bin>> "%JAVA_OPTIONS_FILE%"
echo -Dws.ext.dirs=%WAS_EXT_DIRS%>> "%JAVA_OPTIONS_FILE%"
"%JAVA_HOME%\bin\java" "-Dacu.launcherProperties=%JAVA_OPTIONS_FILE%" -classpath "%WAS_CLASSPATH%;%WAS_HOME%\optionalLibraries\jython.jar;%SI_PATH%\lib\db2j.jar;%SI_PATH%\lib\derbyclient.jar;%SI_PATH%\lib\db2jnet.jar;%SI_PATH%\lib\db2jtools.jar;%SI_PATH%\lib\si.jar" com.ibm.ac.si.util.JavaLauncher com.ibm.ws.bootstrap.WSLauncher com.ibm.ws.management.touchpoint.tpru.RegisterTouchpoints %*

@REM Set SI_WAS_HOME in SI environment scripts
if not defined WAS_HOME goto skip_si
dir "%ACU_COMMON%"\ /a:d | find /i "si_envs" > nul
if errorlevel 1 goto skip_si
echo SET SI_WAS_HOME=%WAS_HOME%> "%ACU_COMMON%\si_envs\set_was_home.cmd"
:skip_si

endlocal
