<?xml version="1.0"?> 
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
    <xsl:import href="version.xsl"/>
    <xsl:output method="xml" indent="yes"/>

<xsl:template match="Hardware">
<fileSystem><xsl:apply-templates select="Partition"/></fileSystem>
</xsl:template>

<xsl:template match="OperatingSystem">
<xsl:apply-imports/>
</xsl:template>

<xsl:template match="Partition">
<fileSystem>
<xsl:apply-templates select="//OperatingSystem"/>
<xsl:variable name="osType" select="//OperatingSystem/Type"/>
<name><xsl:apply-templates select="DeviceName"/></name>
<fileSystemSize><xsl:apply-templates select="FSTotalSize"/></fileSystemSize>
<persistenceType><xsl:apply-templates select="MediaType"/></persistenceType>
<accessPoint><xsl:apply-templates select="FSAccessPoint"/></accessPoint>
<root>
    <xsl:choose>
      <xsl:when test="FSMountPoint='\' and contains(string($osType), 'Windows')"><xsl:apply-templates select="FSAccessPoint"/><xsl:apply-templates select="FSMountPoint"/></xsl:when>
      <xsl:otherwise><xsl:apply-templates select="FSMountPoint"/></xsl:otherwise>
    </xsl:choose>
</root>
<availableSpace><xsl:apply-templates select="FSFreeSize"/></availableSpace>
<fileSystemType><xsl:apply-templates select="FSType"/></fileSystemType>
</fileSystem>
</xsl:template>

</xsl:stylesheet>
